Package com.verisign.epp.codec.coaext

## Class EPPCoaExtAttr

- java.lang.Object
- - com.verisign.epp.codec.coaext.EPPCoaExtAttr

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPCoaExtAttr
      extends java.lang.Object
      implements EPPCodecComponent

  EPPCodecComponent that encodes and decodes a COA Attr Tag.

  Title: EPP 1.0 Client Object Attribute - Attr

  Description: Each EPPCoaExtAttr object represents a single Client Object Attribute. As such it contains a single key-value pair, represented by one EPPCoaExtKey and one EPPCoaExtValue element.
  As XML, is is represented by a <coa:attr> element containing a single <coa:key> element and a single <coa:value> element.

  Copyright: Copyright (c) 2011

  Company: VeriSign

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_NAME` | Constant for the key tag

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPCoaExtAttr()` | Default constructor
    `EPPCoaExtAttr​(java.lang.String aKey, java.lang.String aValue)` | Convenience constructor specifying the key and value as arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | A deep clone of the EPPCoaExtAttr.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the EPPCoaExtAttr element by decoding its <coa:key> and <coa:value> subelements.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode an EPPCoaExtAttr by encoding its EPPCoaExtKey and EPPCoaExtValue attributes.
    `boolean` | `equals​(java.lang.Object aComp)` | A deep comparison of this to another EPPCoaExtAttr.
    `EPPCoaExtKey` | `getKey()` | Gets the key of the COA.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPCoaExtValue` | `getValue()` | Gets the value of the COA.
    `void` | `setKey​(EPPCoaExtKey aKey)` | Sets the key of the COA.
    `void` | `setValue​(EPPCoaExtValue aValue)` | Sets the value of the COA.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the key tag
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPCoaExtAttr

          public EPPCoaExtAttr()

      Default constructor

    - #### EPPCoaExtAttr

          public EPPCoaExtAttr​(java.lang.String aKey,
                               java.lang.String aValue)

      Convenience constructor specifying the key and value as arguments.
      Parameters:
        `aKey` - Key of COA
        `aValue` - Value of COA

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      A deep clone of the EPPCoaExtAttr.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPCodecComponent`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception
      See Also:
        `Object.clone()`

    - #### equals

          public boolean equals​(java.lang.Object aComp)

      A deep comparison of this to another EPPCoaExtAttr.
      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the EPPCoaExtAttr element by decoding its <coa:key> and <coa:value> subelements.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - root DOM element associated with instance
      Throws:
        `EPPDecodeException` - Error decoding the DOM element tree.
      See Also:
        `EPPCodecComponent.decode(org.w3c.dom.Element)`

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode an EPPCoaExtAttr by encoding its EPPCoaExtKey and EPPCoaExtValue attributes.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM document used as a factory of DOM objects.
      Returns:
        instance root DOM element along with attribute child nodes.
      Throws:
        `EPPEncodeException` - Error encoding the DOM element tree.
      See Also:
        `EPPCodecComponent.encode(org.w3c.dom.Document)`

    - #### getKey

          public EPPCoaExtKey getKey()

      Gets the key of the COA.
      Returns:
        Key of the COA

    - #### setKey

          public void setKey​(EPPCoaExtKey aKey)

      Sets the key of the COA.
      Parameters:
        `aKey` - Key of the COA

    - #### getValue

          public EPPCoaExtValue getValue()

      Gets the value of the COA.
      Returns:
        Value of the COA

    - #### setValue

          public void setValue​(EPPCoaExtValue aValue)

      Sets the value of the COA.
      Parameters:
        `aValue` - Value of the COA

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.